From a3ba57b33ac23f8db46e7f92e72a558db6ccd64a Mon Sep 17 00:00:00 2001
From: Takashi Menjo <takashi.menjou.vg@hco.ntt.co.jp>
Date: Mon, 16 Mar 2020 11:14:04 +0900
Subject: [PATCH v2 5/5] Map WAL segments with MAP_POPULATE if non-DAX

---
 src/backend/access/transam/xlog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/access/transam/xlog.c b/src/backend/access/transam/xlog.c
index 382256369d..5c387846e5 100644
--- a/src/backend/access/transam/xlog.c
+++ b/src/backend/access/transam/xlog.c
@@ -3361,7 +3361,7 @@ XLogFileMapUtil(void *hint, int fd, bool dax)
 	if (dax)
 		flags = MAP_SHARED_VALIDATE | MAP_SYNC;
 	else
-		flags = MAP_SHARED;
+		flags = MAP_SHARED | MAP_POPULATE;
 
 	return mmap(hint, wal_segment_size, PROT_READ | PROT_WRITE, flags, fd, 0);
 }
-- 
2.17.1

